View Issue Details

IDProjectCategoryView StatusLast Update
0005696Simple:Presscode - classespublic2017-07-11 01:58
ReporterMr PapaAssigned ToMr Papa 
PrioritynormalSeverityN/AReproducibilityhave not tried
Status closedResolutionfixed 
Product Version5.7.3 
Target Version5.8Fixed in Version5.8 
Summary0005696: break up admin updater class file into one file per class
Descriptioncurrent file contains multiple classes... lets break up to one per file... and add to autoloader...
TagsNo tags attached.
change_log_textbreak up admin updater class file into individual file per class and autoload
typeenhancement

Activities

svn

svn

2016-12-26 05:55

administrator   ~0018899

Changeset [14905] by steve on 2016-12-26 00:55:23 -0500 (Mon, 26 Dec 2016)

test issue 0005696 break up admin updater class file into individual file per class and autoload

 Changed Files:

U trunk/sp-control.php
A trunk/sp-startup/admin/spa-admin-class-spcplugininstallerskin.php
A trunk/sp-startup/admin/spa-admin-class-spcpluginupgrader.php
A trunk/sp-startup/admin/spa-admin-class-spcpluginupgraderskin.php
A trunk/sp-startup/admin/spa-admin-class-spcthemeinstallerskin.php
A trunk/sp-startup/admin/spa-admin-class-spcthemeupgrader.php
A trunk/sp-startup/admin/spa-admin-class-spcthemeupgraderskin.php
U trunk/sp-startup/admin/spa-admin-support-functions.php
D trunk/sp-startup/admin/spa-admin-updater-class.php
U trunk/sp-startup/admin/spa-admin-updater.php
U trunk/sp-startup/core/sp-core-support-functions.php
U trunk/sp-startup/forum/sp-forum-support-functions.php
U trunk/sp-startup/sp-load-class-spcadmincoreloader.php
U trunk/sp-startup/sp-load-class-spcforumloader.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=14905

Issue History

Date Modified Username Field Change
2016-12-26 05:15 Mr Papa New Issue
2016-12-26 05:15 Mr Papa Assigned To => Mr Papa
2016-12-26 05:15 Mr Papa Status new => assigned
2016-12-26 05:15 Mr Papa change_log_text => update
2016-12-26 05:55 svn =>
2016-12-26 05:55 svn Note Added: 0018899
2016-12-26 05:55 svn Status assigned => testing
2017-01-01 17:51 Mr Papa Status testing => closed
2017-01-01 17:51 Mr Papa Resolution open => fixed
2017-01-01 17:51 Mr Papa Fixed in Version => 6.0
2017-01-01 17:51 Mr Papa change_log_text update => break up admin updater class file into individual file per class and autoload
2017-07-11 01:58 Mr Papa Fixed in Version 6.0 => 5.8
2017-07-11 01:58 Mr Papa Target Version 6.0 => 5.8